"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createHTTPServer = createHTTPServer;

var _path = _interopRequireDefault(require("path"));

var _http = _interopRequireDefault(require("http"));

var _http2 = _interopRequireDefault(require("http2"));

var _fs = _interopRequireDefault(require("fs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @param {*} requestListener
 * @param {boolean} http2
 */
function createHTTPServer(requestListener, http2) {
  if (http2) {
    const dir = _path.default.join(__dirname, '..');

    const options = {
      key: _fs.default.readFileSync(_path.default.join(dir, '.self-signed-dev-server-ssl.key')),
      cert: _fs.default.readFileSync(_path.default.join(dir, '.self-signed-dev-server-ssl.cert')),
      allowHTTP1: true
    };
    return _http2.default.createSecureServer(options, requestListener);
  }

  return _http.default.createServer(requestListener);
}